- entityDefinitions:
  - IDI_TaskCategory_Device: '{b5866acf-1b2b-4b91-9dd7-42c7a83d3e42}'
  - IDE_Device_Definition:  '{fef7fa56-b830-4612-8cda-4ba246446a6f}'
  - IDE_Device_Panels: '{2460d307-71d4-49c5-aeb6-929e0a8d11b5}'
  - IDE_Device_Select: '{d2d65d00-b720-43b3-8148-5bc4b1ace442}'
  
  - IDA_TestNumericAttribute: '{2b1786b8-2b53-445f-a9a9-7657d566dd27}'
  - IDA_X10HouseCode: '{f3a1172c-530d-4173-8f50-28f1f2b932c7}'
  - IDA_X10UnitCode: '{7173b0d2-116e-4749-88ae-f530feb6b1a5}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_Device;'
    name: 'Device'

  - element: '&IDE_Device_Select;'
    name: 'device select subedits'
    elementContents:
    - globalIdentifier: '{5e215417-06be-4347-9709-1122ec80bb77}'
      defaultDataType: '&IDC_Device;'

  - numericAttribute: '&IDA_TestNumericAttribute;'
    name: 'Test Numeric Attribute'
    minimumValue: 0
    maximumValue: 65535

  - binarySwitchLayout: '{5df8edda-59a2-484e-ad3f-0cc4017e8e90}'

  - rotarySwitchLayout: '{22660131-df8f-4b59-990e-9e63bee88541}'
    theme: 'danger'
    options:
    - value: 'A'
    - value: 'B'
    - value: 'C'
    - value: 'D'
    - value: 'E'
    - value: 'F'
    - value: 'G'
    - value: 'H'
    - value: 'I'
    - value: 'J'
    - value: 'K'
    - value: 'L'
    - value: 'M'
    - value: 'N'
    - value: 'O'
    - value: 'P'

  - rotarySwitchLayout: '{a95a9c14-9ba3-47f2-a24a-880546b505a4}'
    theme: 'primary'
    options:
    - value: '1'
    - value: '2'
    - value: '3'
    - value: '4'
    - value: '5'
    - value: '6'
    - value: '7'
    - value: '8'
    - value: '9'
    - value: '10'
    - value: '11'
    - value: '12'
    - value: '13'
    - value: '14'
    - value: '15'
    - value: '16'

  - textAttribute: '&IDA_X10HouseCode;'
    name: 'House Code'

  - numericAttribute: '&IDA_X10UnitCode;'
    name: 'Unit Code'

  - element: '&IDE_Device_Definition;'
    name: 'device subedits'
    elementContents:
    - globalIdentifier: '{a0ce4337-f5dd-457f-bcf2-10e87ef7e5d5}'
      defaultDataType: '&IDA_Name;'
    - globalIdentifier: '{e2ce9eaf-3c2b-48c5-b108-388c44e14176}'
      defaultDataType: '&IDR_Device__has__Device_Type;'
      label: 'Device Type'
    - globalIdentifier: '{cd0e7e01-30f8-4302-90fc-b409c706993e}'
      defaultDataType: '&IDR_Device__has__Protocol;'
      label: 'Protocol'
      dynamicDisplayOptions:
      - globalIdentifier: '{2cc3eb4b-cb66-477c-b18f-867829563290}'
        modifiesElementContents:
        - instance: '{14c833ca-0e2d-4e6f-8da0-7d78d48b7b1c}' # computer subedits
        # condition:
        # - trueConditions:
        #   - globalIdentifier: '&IDMB_Generate_Random_Password__is__True;'
        removesDisplayOptions:
        - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{fb336c55-1abe-453e-83ba-87fa8b3bfbee}'
      defaultDataType: '&IDA_TestNumericAttribute;'
      label: 'Test Binary Switch'
      layout: '{5df8edda-59a2-484e-ad3f-0cc4017e8e90}'

    - globalIdentifier: '{fbd4448d-0eeb-44a7-b8f9-9877779af13a}'
      defaultDataType: '&IDA_X10HouseCode;'
      layout: '{22660131-df8f-4b59-990e-9e63bee88541}'

    - globalIdentifier: '{aa8c3b58-73a4-482c-b63c-8bb4e5289a41}'
      defaultDataType: '&IDA_X10UnitCode;'
      layout: '{a95a9c14-9ba3-47f2-a24a-880546b505a4}'

    - globalIdentifier: '{14c833ca-0e2d-4e6f-8da0-7d78d48b7b1c}'
      defaultDataType: '&IDE_Device_Computer_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{ef961d4e-b423-44b9-87d2-35b5f3984d47}'
      defaultDataType: '&IDE_Protocol_ZWave_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
